{ sources ? import ./nix/sources.nix
, system ? builtins.currentSystem
, crossSystem ? null
, config ? {}
}@args: with import ./nix args; {
  shell = mkShell {
    inherit (import sources.niv {}) niv;
    buildInputs = [
      niv
      nixopsUnstable                   # work around for issue #127423
    ];
    NIX_PATH = "nixpkgs=${path}";
    NIXOPS_DEPLOYMENT = "${globals.deploymentName}";
  };
}
