# NixOps configuration for the jfdic-ops nodes

{
  network = {
    description = "jfdic-ops nodes";
    enableRollback = true;
  };

  network.storage.legacy = {
    databasefile = "~/.nixops/deployments.nixops";
  };

  defaults =
    { config, pkgs, lib, ... }:

    {
      system.autoUpgrade.enable = false;  # Disabled as it conflicts with NixOps
    };

  toscano = import ./hosts/toscano.nix;
}
